Subject: RE: [Ltru] Updated draft-4646bis...

From: "Debbie Garside" <[email-masked]>
Date: Wed, 1 Aug 2007 13:43:40 +0100

Addison wrote:

> A tag can be valid yet meaningless.

I don't really like this as it seems, on the face of it, a contradiction in
terms.  I would propose one of the following:

---
A tag can be well formed yet meaningless.

A tag can be well formed in terms of syntax, and thus valid, yet meaningless
in terms of its attributes. For example, ... 

---

Best

Debbie

> -----Original Message-----
> From: Addison Phillips [mailto:[email-masked]] 
> Sent: 31 July 2007 16:52
> To: Marion Gunn
> Cc: LTRU Working Group
> Subject: Re: [Ltru] Updated draft-4646bis...
> 
> Marion Gunn wrote:
>  >
>  > However, here goes with one more attempt:
>  >
>  > "For example, although a tag such as 'ar-Cyrl-CO' (Arabic, 
> as used in  > Columbia,  > written in Cyrillic script) is 
> valid, it is [most] unlikely to be of  > use, because  > such 
> combination of attributes is unlikely to occur in actual 
> language  > use."
>  >
> 
> I note that it is useful to look at the actual editor's copy 
> when suggesting minor editorial changes. Upon reflection, I 
> found the current sentence to be a bit of a run-on. I've 
> taken your suggestion of 'unlikely' and edited further such 
> that the paragraph now reads:
> 
> <t>Validity of a tag is not everything. A tag can be valid 
> yet meaningless. This is unavoidable with a generative system 
> like the language subtag mechanism. For example, a tag such 
> as "ar-Cyrl-CO" 
> (Arabic, Cyrillic script, as used in Colombia) is perfectly valid. 
> However, it is unlikely to be a useful tag, as it represents 
> an unlikely combination of language attributes that is 
> probably unrelated to any real language usage.</t>
> 
> After five minutes from now, you will need to comment on 
> draft-08. I'm always happy to consider editorial changes that 
> improve the text.
> 
> Addison
> 
> --
> Addison Phillips
> Globalization Architect -- Yahoo! Inc.
> Chair -- W3C Internationalization Core WG
> 
> Internationalization is an architecture.
> It is not a feature.
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
> 
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "David Dalby" <[email-masked]>
Date: Wed, 1 Aug 2007 16:33:15 +0100

I agree!

David

 _____________________________________________________
 
Dr David Dalby 
The Linguasphere Observatory
Hebron
Whitland
Wales
SA34 0XT
 
-----Original Message-----
From: Debbie Garside [mailto:[email-masked]] 
Sent: 01 August 2007 13:44
To: [email-masked]; 'Marion Gunn'
Cc: 'LTRU Working Group'
Subject: RE: [Ltru] Updated draft-4646bis...

---

---

Best

Debbie

---

From: "David Dalby" <[email-masked]>
Date: Wed, 1 Aug 2007 16:42:44 +0100

Why not(?):

A langtag may be formally valid but remain unrealized in meaning, e.g. ....

-----Original Message-----
From: David Dalby [mailto:[email-masked]] 
Sent: 01 August 2007 16:33
To: [email-masked]; [email-masked]; 'Marion Gunn'
Cc: 'LTRU Working Group'
Subject: RE: [Ltru] Updated draft-4646bis...

I agree!

David

Dr David Dalby 
 
-----Original Message-----
From: Debbie Garside [mailto:[email-masked]] 
Sent: 01 August 2007 13:44
To: [email-masked]; 'Marion Gunn'
Cc: 'LTRU Working Group'
Subject: RE: [Ltru] Updated draft-4646bis...

---

---

Best

Debbie

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Wed, 1 Aug 2007 17:48:19 +0200

On Wed, Aug 01, 2007 at 01:43:40PM +0100,
 Debbie Garside <[email-masked]> wrote 
 a message of 83 lines which said:

> I would propose one of the following:
> 
> ---

Sorry, neither of these sentences is correct in the context of
4646bis-07.

Being "well-formed" and being "valid" are two different things
(section 2.2.9 of 4646bis-07). Thus saying "A tag can be well formed
in terms of syntax, and thus valid" is wrong.

And the first sentence is not strong enough. ar-Cyrl-CO is well-formed
but it is also valid (in the 4646bis-07 sense of the word, defined in
section 2.2.9). 

The discussion is how we should label the informal "third level",
after well-formedness and validity. Meaningfulness? Reality?

---

From: Addison Phillips <[email-masked]>
Date: Wed, 01 Aug 2007 08:51:55 -0700

You have to read the document. The terms "valid" and "well-formed" have 
a different meaning in the context of RFC 4646/4646bis. The term "valid" 
was chosen carefully in this context.

Mark and others are correct that every tag has *a* meaning (we even 
spell out the one for the "meaningless" tag in the example). But that 
does not mean that every tag is *meaningful*.

How about this version instead:

<t>Validity of a tag is not everything. While every valid tag has a 
meaning, it might not represent any real language usage. This is 
unavoidable in a system in which subtags can be combined freely. For 
example, tags such as "ar-Cyrl-CO" (Arabic, Cyrillic script, as used in 
Colombia ) or "tlh-Kore-AQ-fonipa" (Klingon, Korean script, as used in 
Antarctica, IPA phonetic transcription) are both valid and unlikely to 
represent a useful combination of language attributes.</t>

Addison

---

From: "Mark Davis" <[email-masked]>
Date: Wed, 1 Aug 2007 09:06:01 -0700

That's fine by me.

-- 
Mark

---

From: "David Dalby" <[email-masked]>
Date: Wed, 1 Aug 2007 21:22:19 +0100

Addison, You seem to have missed the second in my quick sequence of two
e-mails. What is wrong with the simple statement (?):

"A langtag may be formally valid but remain unrealized in meaning, e.g.
...."  This even allows for the unlikely event of its meaning becoming
realized.

Of course, the large majority of ALL potential langtags with subtags will
never be realized in meaning, but this very obvious point should surely be
dealt with as briefly as possible.

Regards, David

-----Original Message-----
From: Addison Phillips [mailto:[email-masked]] 
Sent: 01 August 2007 16:52
To: David Dalby
Cc: [email-masked]; 'Marion Gunn'; 'LTRU Working Group'
Subject: Re: [Ltru] Updated draft-4646bis...

 

Addison

-- 

Addison Phillips

It is not a feature.

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 1 Aug 2007 21:32:07 +0100

I still don't think it sounds right :-) but I take the point made about well
formed and valid.

How about:

The syntax of a language sub tag is such that it is possible to create a
valid subtag where the sum of its component attributes may not represent a
meaningful combination within actual language usage.  For example, etc.

Or

Validity of a language subtag does not necessarily make it meaningful. A
subtag can be valid in terms of syntax yet meaningless in terms of real
language usage. For example, etc.

Best

Debbie 

> You have to read the document. The terms "valid" and 
> "well-formed" have a different meaning in the context of RFC 
> 4646/4646bis. The term "valid" 
> Mark and others are correct that every tag has *a* meaning 
> (we even spell out the one for the "meaningless" tag in the 
> example). But that does not mean that every tag is *meaningful*.
> 
> <t>Validity of a tag is not everything. While every valid tag 
> has a meaning, it might not represent any real language 
> usage. This is unavoidable in a system in which subtags can 
> be combined freely. For example, tags such as "ar-Cyrl-CO" 
> (Arabic, Cyrillic script, as used in Colombia ) or 
> "tlh-Kore-AQ-fonipa" (Klingon, Korean script, as used in 
> Antarctica, IPA phonetic transcription) are both valid and 
> unlikely to represent a useful combination of language attributes.</t>
> 
> Addison
> 
> David Dalby wrote:
> > I agree!
> > 
> > David
> > 
> > I don't really like this as it seems, on the face of it, a 
> > contradiction in terms.  I would propose one of the following:
> > 
> > ---
> > A tag can be well formed in terms of syntax, and thus valid, yet 
> > meaningless in terms of its attributes. For example, ...
> > 
> > ---
> > 
> > Best
> > 
> > Debbie
> > 
> >>  > "For example, although a tag such as 'ar-Cyrl-CO' 
> (Arabic, as used 
> >> in  > Columbia,  > written in Cyrillic script) is valid, 
> it is [most] 
> >> unlikely to be of  > use, because  > such combination of 
> attributes 
> >> is unlikely to occur in actual language  > use."
> >>  >
> >>
> >> I note that it is useful to look at the actual editor's copy when 
> >> suggesting minor editorial changes. Upon reflection, I found the 
> >> current sentence to be a bit of a run-on. I've taken your 
> suggestion 
> >> of 'unlikely' and edited further such that the paragraph now reads:
> >>
> >> <t>Validity of a tag is not everything. A tag can be valid yet 
> >> meaningless. This is unavoidable with a generative system like the 
> >> language subtag mechanism. For example, a tag such as "ar-Cyrl-CO"
> >> However, it is unlikely to be a useful tag, as it represents an 
> >> unlikely combination of language attributes that is probably 
> >> unrelated to any real language usage.</t>
> >>
> >> After five minutes from now, you will need to comment on draft-08. 
> >> I'm always happy to consider editorial changes that 
> improve the text.
> >>
> >> Addison
> >>
> >> --
> >> Addison Phillips

---

From: "Mark Davis" <[email-masked]>
Date: Wed, 1 Aug 2007 14:02:47 -0700

The phrase "remain unrealized in meaning" is very odd, and certainly not
very clear. Normally if I "realize the meaning" of something, I understand
it. That is not at all what is being talked about.

>the sum of its component attributes may not represent a meaningful
combination within actual language usage

We are not "summing" attributes, and the combinations ARE meaningful.

People are confusing a "meaningful" with "currently applicable to existing
instances". These are just not the same, and confusing them makes for fuzzy
and inappropriate language.

   - "articulate US president" is perfectly meaningful, but has no
   existing instances
   - "colorless green ideas" is not meaningful, and has no existing
   instances
   - "controversial US president" is both meaningful, and has existing
   instances

Addisons phrasing is fine.

Mark

BTW, there are very few times where I have call to use my PhD these days, so
its nice to find an application for it ;-)

On 8/1/07, David Dalby <[email-masked]> wrote:
> meaningless

---

From: Addison Phillips <[email-masked]>
Date: Wed, 01 Aug 2007 14:18:53 -0700

David,

There is nothing wrong in terms of the *meaning* of your sentence :-). 
However, as a contributor, I suggested an alternative phrasing that also 
took into account other's suggestions on list, including a paragraph 
structure previously approved by this WG. I have not seen a groundswell 
of support for any particular version of the paragraph, so the issue is 
also not closed yet.

David Dalby wrote:
> e-mails. 

No, I just don't feel obliged to respond to every email in the thread.

> What is wrong with the simple statement (?):

The proposed text is imprecisely worded. When suggesting replacement 
text, if you do not fully and completely spell it out, the editor is 
likely to need to edit it for consistency, which can defeat the proposed 
purpose. I attempted to take each person's suggestions and combine them 
into a single proposed text (or exclude bits of text or suggestions for 
various reasons expressed on the thread). Note: my proposals are always 
made as a contributor to the list and not as one of the editors.

> ...."  This even allows for the unlikely event of its meaning becoming

This text has several editorial problems with it.

- We say "language tag", never "langtag"

- The word "may" is one of the normative words from RFC 2119. We never 
use it except with its normative meaning.

- As noted previously, we have defined "valid" to have a specific 
meaning. "Formally" is superfluous and could be confusing as a result.

- We always spell out the Latin abbreviations "e.g." and "i.e." using 
their English equivalents ("for example" and "in other words").

Finally, you didn't include the example text itself, which includes some 
non-simple statements. I note that minor edits suggested out of context 
often make no sense when they are inserted in context. I fine it best to 
be careful to quote the entire proposed paragraph each time and in full 
to help avoid this.

As a result, your suggestion is actually:

<t>
A language tag might be valid but remain unrealized in meaning. For 
example, a tag such as "ar-Cyrl-CO" (Arabic, Cyrillic script, as used in 
  Colombia) is both valid and unlikely to represent a useful combination 
of language attributes.
</t>

So, finally, the substantive part: I think that the phrase "remain 
unrealized in meaning" is somewhat obscure. A newbie, especially one who 
cannot avail herself of this list's mail archive, will have no idea what 
we're talking about. Thus I prefer my (actually an adaptation of 
Peter's) "might not represent any real language usage". Note that this 
formulation does allow for it to either have or acquire real language 
usage in the future.

> dealt with as briefly as possible.

It was dealt with not-at-all in RFC's 1766, 3066, or 4646. The WG felt 
that some mention was warranted now. We're debating what form that 
mention should take.

Addison

---

From: "David Dalby" <[email-masked]>
Date: Thu, 2 Aug 2007 07:33:24 +0100

Thank you very much for your helpful e-mail. I shall try to observe the
conventions you have set out, and to respond if anything further suggests
itself. I also am just trying to catch up, after an absence on language
research (including some of the practical implications and applications of
tagging). 

David (Dalby)
Hebron SA34 0XT
Wales

-----Original Message-----
From: Addison Phillips [mailto:[email-masked]] 
Sent: 01 August 2007 22:19
To: David Dalby
Cc: [email-masked]; 'Marion Gunn'; 'LTRU Working Group'
Subject: Re: [Ltru] Updated draft-4646bis...

David,

<t>

Addison

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Thu, 2 Aug 2007 10:20:27 +0200

On Wed, Aug 01, 2007 at 08:51:55AM -0700,
 Addison Phillips <[email-masked]> wrote 

> How about this version instead:

Better than the one in 4646bis-07 (which uses the word "meaningless",
while I recently noticed that "meaning" is used several times in the
draft, in a different sense).

What about adding also in 2.2.9. "Classes of Conformance":

<t>A tag is considered "real" if it is valid and if there are existing
resources available which match that tag. Unlike "well-formedness" and
"validity", "reality" is a fuzzy concept, and a moving one (new
resources can appear, making a tag real, without any change in the
registry). See <xref target="meaning"/>.</t>

[Thanks to Philip José Farmer whose novel "The lovers" gave me the
idea to define "reality" :-) ]

---

From: Addison Phillips <[email-masked]>
Date: Thu, 02 Aug 2007 08:15:17 -0700

> draft, in a different sense).

The "five minutes" elapsed before the thread got into high gear. 
Draft-08 will have my proposed text or some similar formulation.

> registry). See <xref target="meaning"/>.</t>

-1

It think this goes over the top.

Addison

---

From: Peter Constable <[email-masked]>
Date: Thu, 2 Aug 2007 10:07:48 -0700

No, Mark had it right: there is a clear semantic. It just may not correspond to any reality. "ar-Cyrl-CO" unambiguously means 'Arabic language as used in Colombia, written in Cyrllic script". It refers to a unicorn in the realm of languages.

Peter

> Sent: Wednesday, August 01, 2007 5:44 AM
> contradiction in

---

From: Peter Constable <[email-masked]>
Date: Thu, 2 Aug 2007 10:15:06 -0700

Wah!? Combining the variant tag fonipa with Kore shouldn't be valid, though I guess we don't have a way to block it at present. (It would take some awkward combination of  "must have script subtag Latn" OR "must have a lang subtag with Suppress-Script of 'Latn'".)

But apart from that, the wording is fine.

Peter

From: Mark Davis [mailto:[email-masked]]
Sent: Wednesday, August 01, 2007 9:06 AM
To: Addison Phillips
Cc: LTRU Working Group
Subject: Re: [Ltru] Updated draft-4646bis...

That's fine by me.
On 8/1/07, Addison Phillips <[email-masked]<mailto:[email-masked]>> wrote:
You have to read the document. The terms "valid" and "well-formed" have
a different meaning in the context of RFC 4646/4646bis. The term "valid"
was chosen carefully in this context.

Addison

David Dalby wrote:
> From: Debbie Garside [mailto: [email-masked]<mailto:[email-masked]>]
> To: [email-masked]<mailto:[email-masked]>; 'Marion Gunn'
> Cc: 'LTRU Working Group'
>> From: Addison Phillips [mailto:[email-masked]<mailto:[email-masked]>]
>> Sent: 31 July 2007 16:52
>> To: Marion Gunn
>> Cc: LTRU Working Group
>> [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
Ltru mailing list
[email-masked]<mailto:[email-masked]>
https://www1.ietf.org/mailman/listinfo/ltru